This URL retrieves the proxy licenses present on the Manager.
Resource URL
GET /license/proxy
Request Parameters
URL Parameters: None
Payload Request Parameters: None
Response Parameters
Following field are returned:
Field Name | Description | Data Type |
|---|---|---|
| List of individual license details parameter | Array of objects |
Details of fields in LicenseDetails:
Field Name | Description | Data Type |
|---|---|---|
| Sensor model allowed for the license | String |
| Sensor capacity supported by the license | String |
| Customer of the license | String |
| License key | String |
| Comment | String |
| User who added the license | String |
| Time when the license was added | String |
| License grant id | String |
| License expiration date | String |
| Type of the target (for example, Sensor) | String |
| Target id associated with the license (for example, sensorId) | String |
| Name of the device associated with the license | String |
| Grant index of the license | Int |
| License id | String |
Example
Request
GET https://<NSM_IP>/sdkapi/license/proxy
Payload
None
Response
{
"licenses": [
"comment": None, "targetType": "SENSOR", "licenseCustomer": "McAfee Inc. - for Eval Purposes Only", "capacity": "30 Gbps", "deviceName": "/My Company/Test Child Domain 1/denali-1", "allowanceModel": "IPS-NS9500", "addedBy": "admin", "targetIdAssociated": "1006", "key": "80002-1", “licenseId”: ”80002”, “grantIndex”: 1, "addedTime": "Oct 22 12:20:09 2019", "licenseGrantID": "0010080", "licenseExpiration": "09-12-2020"]
}
Error Information
Following error code is returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 500 | 1001 | Internal error |